#include "testlib.h"

const long long INF = 4294967295;

/*
 * Аргументы (Обязательные): <значение N>
 * Дополнительные: <вес для N> [если есть вес, то - rnd(1, n)]
 * Тест: Каждый шаг случаен
*/


int main(int argc, char *argv[]) {
    registerGen(argc, argv, 1);
    std::cin.tie(nullptr);
    std::cout.tie(nullptr);
    std::ios_base::sync_with_stdio(false);
    int n = opt<int>(2);
    if (argc > 3) {
        n = rnd.wnext(1, n, opt<int>(3));
    }
    long long max = 100000000ll / n;
    std::cout << n;
    long long now = 0, temp;
    bool up;
    for (int i = 0; i < n; ++i) {
        up = (rnd.next(0, 1) || now < 1) && now != INF;
        if (up) {
            temp = rnd.next(1ll, std::min(max, INF - now));
            now += temp;
        } else {
            temp = rnd.next(1ll, std::min(max, now));
            now -= temp;
        }
        std::cout << '\n' << (up ? "+ " : "- ") << temp;
    }
    std::cout << std::endl;
}