#include "testlib.h"

const long long INF = 4294967295;

/*
 * Аргументы (Обязательные): <значение N>
 * Тест: Стабильный, заданный шаг
*/


int main(int argc, char *argv[]) {
    registerGen(argc, argv, 1);
    int el = opt<int>(2);
    int onlyUp = 0;
    if (argc > 3) {
        onlyUp = opt<int>(3);
    }
    int n = 1000000 / el;
    println(n);

    long long now = 0;
    bool up;
    for (int i = 0; i < n; ++i) {
        up = now < el || rnd.next(0, 1) || onlyUp;
        if (up) {
            now += el;
        } else {
            now -= el;
        }
        println(up ? '+' : '-', el);
    }
}